API ReferenceEcosystems
Retrieve ecosystem
Roles
admindts-provider
Analytics Events
ECOSYSTEM_RETRIEVE_STARTECOSYSTEM_RETRIEVE_SUCCESSECOSYSTEM_RETRIEVE_FAIL
GET
/v1/ecosystems/{ecosystemId}Retrieves an ecosystem by its ID.
Analytic events
- ECOSYSTEM_RETRIEVE_START
- ECOSYSTEM_RETRIEVE_SUCCESS
- ECOSYSTEM_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
ecosystemId*string
The UUID of the ecosystem
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d"{
"id": "87880d7e-a4d0-462e-8383-3f1e5e16865d",
"name": "My Ecosystem",
"integrations": [
{
"format": "MATTR",
"url": "https://example.vii.au01.mattr.global/v1/ecosystems/489755c9-1d74-4f59-a127-db7105667bfe/policy",
"enabled": true,
"integrationResult": {
"success": true,
"lastSyncedAt": "2024-09-10T02:28:36.550Z",
"lastModifiedAt": "2024-08-10T02:28:36.550Z",
"failReasons": [
{
"type": "UnknownVerificationError",
"message": "Unknown verification error occurred"
}
]
}
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve all ecosystems GET
Retrieves a list of ecosystems. ### **Analytic events** * ECOSYSTEM_RETRIEVE_LIST_START * ECOSYSTEM_RETRIEVE_LIST_SUCCESS * ECOSYSTEM_RETRIEVE_LIST_FAIL
Update ecosystem PUT
Updates an ecosystem by its ID. ### **Analytic events** * ECOSYSTEM_UPDATE_START * ECOSYSTEM_UPDATE_SUCCESS * ECOSYSTEM_UPDATE_FAIL